Subject: (usr-tc) RE: (3Com-TotalControl) Framed routes not being picked up by OSPF broadcasts?

From: Mike McHenry <[email-masked]>
Date: Wed, 22 Sep 1999 20:07:52 +0000

Thank you for the advice everyone, turns out you do have to have the
sendpolicy in place for framed routes to get advertised. This seems to be
the case even with ASBR enabled, at least in my testing. I was however able
to add a blanket sendpolicy that covered all my network blocks with one
policy, something like

add ospf sendpolicy 10.0.0.0/19 source remote action advertise

This seems to correctly broadcast any framed route built by the ARC card in
the 32 class C network blocks starting at 10.0.0.0

For anyone else who is interested in working on OSPF here are the commands
(in order) that I used to configure OSPF on my USR ARC card. This was using
area 1 with MD5 authentication, the eth:1 interface is 10.0.0.1, possible
framed routes coming from 10.0.1.0/19

set ospf default_area_id 0.0.0.1
set ip network ip routing_protocol ospf
set ospf global router_id 10.0.0.1
set ospf global asbr enable
enable ospf
set ospf interface 10.0.0.1 router_priority 0
set ospf interface 10.0.0.1 auth_type cryptographic
add ospf cryptographic_key 1 interface 10.0.0.1 shared_key "YOUR_OSPF_KEY"
add ospf sendpolicy 10.0.1.0/19 source remote action advertise

Mike McHenry
 Systems Administrator
 MinnNet Communications, Inc.

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Rick
Sent: Tuesday, September 21, 1999 8:41 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: (usr-tc) RE: (3Com-TotalControl) Framed routes not being
picked up by OSPF broadcasts?

Mike, rather then having to add a new OSPF SENDPOLICY for each framed-route
profile(when you have hundreds that option is no longer feasible) why not
just enable ASBR globally. We have it working here using " set ospf global
asbr enable" . It seems the arc believes the framed-routes are being learned
via another AS so it then propagates the route via ospf.

Mike Wronski wrote:

> |-----Original Message-----
> |From: [email-masked]
> |[mailto:[email-masked]]On Behalf Of Mike
> |McHenry
> |Sent: Monday, September 20, 1999 7:01 AM
> |Subject: (3Com-TotalControl) Framed routes not being picked up by OSPF
> |broadcasts?
> |
> |
> |Reply to [email-masked]
> |
> |
> |I have recently upgraded most of my HiperARC cards to 4.2.32-1 and have
> |started looking at switching them from RIP to OSPF. Everything is
> |working as I would expect for host dialins, HOWEVER it seems that the
> |ARC is not advertising any Framed-Routes setup through radius.
> |
> |For example, an entry like the following in radius:
> |
> |username       Auth-Type=System
> |               Service-Type=Framed-User,
> |               Framed-IP-Address = 192.168.0.1,
> |               Framed-Route = "10.0.0.1/24 192.168.0.1 1",
> |               Framed-Routing = None,
> |
> |Once username dials into the TC the host route for 192.168.0.1 is
> |correctly broadcast through OSPF but the 10.0.0.1/24 route is not. Am I
> |missing a setting here or is this the normal behavior for the ARC card?
> |Every other piece of equipment I have recognizes this route added in
> |through radius and correctly advertise the route through OSPF.
> |
>
> At this time you have to add a "SEND Policy" to get the framed-routes to
> advertise. This iss done by
> "ADD OSPF SENDPOLICY 10.0.0.1/24 SOURCE REMOTE ACTION ADVERTISE"
>
> -
>  To unsubscribe to usr-tc, send an email to "[email-masked]"
>  with "unsubscribe usr-tc" in the body of the message.
>  For information on digests or retrieving files and old messages send
>  "help" to the same address.  Do not use quotes in your message.

--
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Rick Allan / [email-masked] | Connect to a Backbone not a Wishbone
Head of Network Engineering    |    Monmouth Internet Corporation
732-842-5366=====extension 102 |      http://www.monmouth.com
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

-
 To unsubscribe to usr-tc, send an email to "[email-masked]"
 with "unsubscribe usr-tc" in the body of the message.
 For information on digests or retrieving files and old messages send
 "help" to the same address.  Do not use quotes in your message.

-
 To unsubscribe to usr-tc, send an email to "[email-masked]"
 with "unsubscribe usr-tc" in the body of the message.
 For information on digests or retrieving files and old messages send
 "help" to the same address.  Do not use quotes in your message.